Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2423833002: Set ozone_platform_wayland to true for ozone/ChromeOS builds (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by tonikitoo
Modified:
8 months, 1 week ago
CC:
chromium-reviews, kalyank, ozone-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Set ozone_platform_wayland to true for ozone/ChromeOS builds After [1], sysroots have the required dependencies installed to get ozone/wayland builds going as part of the ozone/chromeos buildbot - namely chromium_chromeos_ozone_rel_ng. [1] https://codereview.chromium.org/2415933004/ BUG=295089 Committed: https://crrev.com/deaf7dd14f748d97edb27edf1eb9e8b0f5bf45bd Cr-Commit-Position: refs/heads/master@{#426238}

Patch Set 1 #

Patch Set 2 : fixed 'gn args <out> --check' #

Patch Set 3 : fixed the build for the 'wayland_unittests' target #

Patch Set 4 : opt-out for wayland_unittests as per kylechar's advice. #

Total comments: 1

Patch Set 5 : simpler CL, not skipping wayland unittests #

Messages

Total messages: 40 (23 generated)
tonikitoo
Robert, it seems now safe to include wayland as a default backend, for the chromeos/ozone ...
8 months, 1 week ago (2016-10-17 03:00:53 UTC) #2
kylechar
In ui/ozone/BUILD.gn the contents of //ui/ozone/platform/wayland:wayland_unittests get added to the ozone_unittests target here: https://cs.chromium.org/chromium/src/ui/ozone/BUILD.gn?type=cs&q=ui/ozone/BUILD.gn&sq=package:chromium&l=46 So ...
8 months, 1 week ago (2016-10-18 15:07:56 UTC) #13
spang
On 2016/10/18 15:07:56, kylechar wrote: > In ui/ozone/BUILD.gn the contents of > //ui/ozone/platform/wayland:wayland_unittests get added ...
8 months, 1 week ago (2016-10-19 02:25:02 UTC) #18
fwang
So IIUC, the problem is that the tests can not be executed without a Wayland ...
8 months, 1 week ago (2016-10-19 07:49:04 UTC) #20
tonikitoo
On 2016/10/19 07:49:04, fwang wrote: > So IIUC, the problem is that the tests can ...
8 months, 1 week ago (2016-10-19 12:32:55 UTC) #21
tonikitoo
On 2016/10/19 02:25:02, spang wrote: > On 2016/10/18 15:07:56, kylechar wrote: > > In ui/ozone/BUILD.gn ...
8 months, 1 week ago (2016-10-19 12:35:43 UTC) #22
kylechar
On 2016/10/19 02:25:02, spang wrote: > On 2016/10/18 15:07:56, kylechar wrote: > > In ui/ozone/BUILD.gn ...
8 months, 1 week ago (2016-10-19 13:08:17 UTC) #23
fwang
On 2016/10/19 13:08:17, kylechar wrote: > My understanding is that the tests work fine if ...
8 months, 1 week ago (2016-10-19 14:12:48 UTC) #24
spang
On 2016/10/19 14:12:48, fwang wrote: > On 2016/10/19 13:08:17, kylechar wrote: > > My understanding ...
8 months, 1 week ago (2016-10-19 14:37:13 UTC) #25
kylechar
On 2016/10/19 14:37:13, spang wrote: > On 2016/10/19 14:12:48, fwang wrote: > > On 2016/10/19 ...
8 months, 1 week ago (2016-10-19 14:59:41 UTC) #26
tonikitoo
On 2016/10/19 14:59:41, kylechar wrote: > On 2016/10/19 14:37:13, spang wrote: > > On 2016/10/19 ...
8 months, 1 week ago (2016-10-19 16:02:39 UTC) #27
fwang
On 2016/10/19 16:02:39, tonikitoo wrote: > ok, ps5 is simpler, and should be ready now ...
8 months, 1 week ago (2016-10-19 17:16:42 UTC) #32
spang
lgtm
8 months, 1 week ago (2016-10-19 17:23:38 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2423833002/80001
8 months, 1 week ago (2016-10-19 17:24:14 UTC) #35
rjkroege
lgtm
8 months, 1 week ago (2016-10-19 17:28:38 UTC) #36
commit-bot: I haz the power
Committed patchset #5 (id:80001)
8 months, 1 week ago (2016-10-19 17:42:29 UTC) #38
commit-bot: I haz the power
8 months, 1 week ago (2016-10-21 13:09:59 UTC) #40
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/deaf7dd14f748d97edb27edf1eb9e8b0f5bf45bd
Cr-Commit-Position: refs/heads/master@{#426238}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318